Python (OpenAI SDK)
from openai import OpenAI
client = OpenAI(
api_key="your-api-key",
base_url="https://api.subconscious.dev/v1",
)
for model in client.models.list():
print(model.id, model.name)const response = await fetch("https://api.subconscious.dev/v1/models", {
headers: { Authorization: `Bearer ${process.env.SUBCONSCIOUS_API_KEY}` },
});
const catalog = await response.json();
console.log(catalog.data.map((model) => model.id));
console.log(catalog.data.map((model) => model.rate_limits));curl --request GET \
--url https://api.subconscious.dev/v1/models \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.subconscious.dev/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.subconscious.dev/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.subconscious.dev/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.subconscious.dev/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"schema_version": "1",
"id": "subconscious/glm-5.3-marathon",
"object": "model",
"created": 1762060800,
"owned_by": "subconscious",
"name": "GLM 5.3 Marathon",
"lifecycle": {
"status": "active"
},
"limits": {
"context_length": 200000,
"max_output_tokens": 32000
},
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"capabilities": {
"reasoning": {
"supported": true,
"efforts": [
"low",
"medium",
"high"
]
},
"tools": true,
"structured_output": true,
"streaming": true,
"temperature": true
},
"api": {
"chat_completions": true,
"responses": true,
"anthropic_messages": true
},
"deployment": {
"tokenizer": "glm",
"ready": true
},
"rate_limits": {
"requests_per_minute": 120,
"tokens_per_minute": 400000
}
}
]
}Endpoints
List models
Returns the model catalog for the caller. Each entry describes the model’s lifecycle, limits, modalities, capabilities, supported request wires, deployment facts, and the rate limits enforced for this caller on that model.
GET
/
models
Python (OpenAI SDK)
from openai import OpenAI
client = OpenAI(
api_key="your-api-key",
base_url="https://api.subconscious.dev/v1",
)
for model in client.models.list():
print(model.id, model.name)const response = await fetch("https://api.subconscious.dev/v1/models", {
headers: { Authorization: `Bearer ${process.env.SUBCONSCIOUS_API_KEY}` },
});
const catalog = await response.json();
console.log(catalog.data.map((model) => model.id));
console.log(catalog.data.map((model) => model.rate_limits));curl --request GET \
--url https://api.subconscious.dev/v1/models \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.subconscious.dev/v1/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.subconscious.dev/v1/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.subconscious.dev/v1/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.subconscious.dev/v1/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"schema_version": "1",
"id": "subconscious/glm-5.3-marathon",
"object": "model",
"created": 1762060800,
"owned_by": "subconscious",
"name": "GLM 5.3 Marathon",
"lifecycle": {
"status": "active"
},
"limits": {
"context_length": 200000,
"max_output_tokens": 32000
},
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
},
"capabilities": {
"reasoning": {
"supported": true,
"efforts": [
"low",
"medium",
"high"
]
},
"tools": true,
"structured_output": true,
"streaming": true,
"temperature": true
},
"api": {
"chat_completions": true,
"responses": true,
"anthropic_messages": true
},
"deployment": {
"tokenizer": "glm",
"ready": true
},
"rate_limits": {
"requests_per_minute": 120,
"tokens_per_minute": 400000
}
}
]
}Was this page helpful?